#include "tensor.h"
#include "linalg.h"

namespace linalg {

  using namespace tensor;

  /**Eigenvalue decomposition of a real matrix.
     Given a square matrix A, we find a diagonal matrix D and a set of vectors R
     or L such that
     A R = R D
     or
     L A = D L

     The eigenvalue decomposition is computed using the DGEEV routine
     from the LAPACK library. By default, only the diagonal elements of S are
     computed. However, also the U and V matrices can be computed if pointers to
     the associated variables are supplied.

     \ingroup Linalg
  */
  const CTensor
  eig(const RTensor &A, CTensor *R, CTensor *L)
  {
  }

} // namespace linalg
