#include "tensor.h"
#include "linalg.h"

namespace linalg {

  using namespace tensor;

  /**
     \overload const CTensor eig(const CTensor &A, CTensor *R, CTensor *L)
     Eigenvalue decomposition of a complex matrix.
     Given a square matrix A, we find a diagonal matrix D and a set of vectors R
     or L such that
     A R = R D
     or
     L A = D L

     The eigenvalue decomposition is computed using the ZGEEV routine
     from the LAPACK library. By default, only the diagonal elements of S are
     computed. However, also the U and V matrices can be computed if pointers to
     the associated variables are supplied.

     \ingroup Linalg
  */
  const CTensor
  eig(const CTensor &A, CTensor *R, CTensor *L)
  {  }

} // namespace linalg
