#ifndef TENSOR_LINALG_H
#define TENSOR_LINALG_H

#include <tensor.h>

/*!\addtogroup Linalg*/
/** Namespace for Linear Algebra functions based on BLAS, LAPACK, Lanczos and related algorithms. */
namespace linalg {

  using namespace tensor;

  /**Eigenvalue decomposition of a real matrix.*/
  const CTensor eig(const RTensor &A, CTensor *R = 0, CTensor *L = 0);

  /**Eigenvalue decomposition of a complex matrix.*/
  const CTensor eig(const CTensor &A, CTensor *R = 0, CTensor *L = 0);

} // namespace linalg


#endif // !TENSOR_LINALG_H
