#ifndef TENSOR_TENSOR_H
#define TENSOR_TENSOR_H

#include <cassert>

namespace tensor {

/*!\addtogroup Tensors*/
/** @{ */
/**An N-dimensional array of numbers. A Tensor is a multidimensional array of
   numbers. Their behavior is similar to Matlab's arrays in that they can store
   only numbers, be accessed with one or more indices using the () or []
   syntaxes, reshaped, sliced, and all that with an automated memory management.
   \see \ref sec_tensor
*/
template<typename elt>
class Tensor {

  /**Constructs an empty Tensor.*/
  Tensor() : data_(), dims_() {}
};

typedef Tensor<double> RTensor;

typedef Tensor<cdouble> CTensor;
} // namespace tensor

/** @} */

#endif // !TENSOR_H
